> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sorsa.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Trends List

> Returns a list of trending topics for the specified WOEID (location identifier). Each trend contains its name and search query for the region. Useful for monitoring popular topics by location.



## OpenAPI

````yaml https://api.sorsa.io/v3/swagger.json get /trends
openapi: 3.0.3
info:
  contact: {}
  title: API Sorsa.io
  version: '3.0'
servers:
  - url: https://api.sorsa.io/v3
security: []
paths:
  /trends:
    get:
      tags:
        - Tweets
      summary: Trends List
      description: >-
        Returns a list of trending topics for the specified WOEID (location
        identifier). Each trend contains its name and search query for the
        region. Useful for monitoring popular topics by location.
      parameters:
        - description: >-
            WOEID (Where On Earth IDentifier) of the location to get trends for
            Woeid list:
            https://gist.github.com/tedyblood/5bb5a9f78314cc1f478b3dd7cde790b9
          in: query
          name: woeid
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.TrendsResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    common.TrendsResponse:
      properties:
        trends:
          items:
            $ref: '#/components/schemas/common.Trend'
          type: array
      type: object
    handler.ErrorResponse:
      properties:
        message:
          type: string
      type: object
    common.Trend:
      properties:
        name:
          type: string
        query:
          type: string
        url:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: ApiKey
      type: apiKey

````